#ifndef _MESHFILTERINGDLG_H_
#define _MESHFILTERINGDLG_H_

#include "global_define.h"
#include "../BaseDialog/MeshFiltering/MeshFilteringDlg_base.h"


class GLMDIWindow;
class QString;


class CMeshFilteringDlg : public CMeshFilteringDlg_base
{
	Q_OBJECT
public:
	CMeshFilteringDlg( QWidget *parent=0, const char *name=0, bool modal=FALSE, WFlags f=0 );
	~CMeshFilteringDlg();

	bool init( GLMDIWindow *pGLMDIWindow );

public slots:
	void slotContactStateChanged();
	void slotFilterStateChanged();
	void slotOk();
	void slotCancel();

private:
	GLMDIWindow *m_pGLMDIWindow;

	QString m_strMsgContact;
	QString m_strMsgFilter;
};

#endif // _MESHFILTERINGDLG_H_
