#include <qapplication.h>
#include "MainWindow.h"
#include "SplashDlg.h"

int main( int argc, char** argv )
{
	QApplication app( argc, argv );

	// splash window
	CSplashDlg *splash = new CSplashDlg( NULL, "", false, QWidget::WType_Popup );
	splash->show();
	splash->repaint( false );
	QApplication::flushX();

	CMainWindow *window = new CMainWindow;
	window->init();
	app.setMainWidget( window );
	window->show();

	delete splash;

	return app.exec();
}

