#ifndef _FEMODELSAVEASIMAGEDLG_H_
#define _FEMODELSAVEASIMAGEDLG_H_

#include "global_define.h"
#include "../BaseDialog/Image/FEModelSaveAsImageDlg_base.h"


class GLMDIWindow;


class CFEModelSaveAsImageDlg : public CFEModelSaveAsImageDlg_base
{
	Q_OBJECT

public:
	CFEModelSaveAsImageDlg( QWidget *parent=0, const char *name=0, bool modal=FALSE, WFlags f=0 );
	~CFEModelSaveAsImageDlg();

	bool init( bool output=true );

public slots:
	void slotFileName();
	void slotFileNameChanged( const QString &str );
	void slotOk();
	void slotCancel();

private:
	GLMDIWindow *m_pGLMDIWindow;
};

#endif // _FEMODELSAVEASIMAGEDLG_H_
