#ifndef _MATERIALPROPERTYDLG_H_
#define _MATERIALPROPERTYDLG_H_

#include "../BaseDialog/MaterialProperty/MaterialPropertyDlg_base.h"


class CVolume;


class CMaterialPropertyDlg : public CMaterialPropertyDlg_base
{
	Q_OBJECT

public:
	CMaterialPropertyDlg( QWidget *parent=0, const char *name=0, bool modal=FALSE, WFlags f=0 );
	~CMaterialPropertyDlg();

	bool init( CVolume *pVolume );

public slots:
	void slotFileName();
	void slotFileNameChanged( const QString & );
	void slotEditChanged();
	void slotOk();
	void slotCancel();

private:
	CVolume *m_pVolume;
};

#endif // _MATERIALPROPERTYDLG_H_
