#ifndef _MATHEXPPARSER_H_
#define _MATHEXPPARSER_H_

#include <qvector.h>

class QWidget;	//XXX
class QString;
class QChar;


class CMyVector : public QVector<QString>
{
public:
	virtual int compareItems( QCollection::Item d1, QCollection::Item d2 );
};


typedef struct
{
	double (*func) ( double );
} MATH_EXP_FUNC;


class CMathExpParser
{
public:
	CMathExpParser( /*QWidget *parent*/ );
	~CMathExpParser();

	bool parse( QString, double *, int * );

private:
	void initFuncVector();
	void initFuncVectorName();

	bool isOperator( QChar c );

private:
	QVector<MATH_EXP_FUNC> m_VectorFunc;
	CMyVector m_VectorFuncName;

//	QWidget *m_pParent;
};

#endif // _MATHEXPPARSER_H_
