#ifndef _MESHFILTERINGINFODLG_H_
#define _MESHFILTERINGINFODLG_H_

#include "global_define.h"
#include "../BaseDialog/MeshFiltering/MeshFilteringInfoDlg_base.h"


class GLMDIWindow;


class CMeshFilteringInfoDlg : public CMeshFilteringInfoDlg_base
{
	Q_OBJECT
public:
	CMeshFilteringInfoDlg( QWidget *parent=0, const char *name=0, bool modal=FALSE, WFlags f=0 );
	~CMeshFilteringInfoDlg();

	bool init( unsigned long count, unsigned long filter );

public slots:
	void slotOk();
	void slotReport();

protected:
	virtual void reject();

private:
	GLMDIWindow *m_pGLMDIWindow;
};

#endif // _MESHFILTERINGINFODLG_H_
