#ifndef _RENDEREDIMAGESIZE_H_
#define _RENDEREDIMAGESIZE_H_

#include "../BaseDialog/Rendering/RenderedImageSizeDlg_base.h"

class CRenderedImageSizeDlg : public CRenderedImageSizeDlg_base
{
	Q_OBJECT

public:
	CRenderedImageSizeDlg( QWidget *parent=0, const char *name=0, bool modal=FALSE, WFlags f=0 );
	~CRenderedImageSizeDlg();

	bool init( int ratio );

	int renderedImageSizeRatio() { return m_nImageSizeRatio; }

public slots:
	void slotOk();
	void slotCancel();

private:
	int m_nImageSizeRatio;
};

#endif // _RENDEREDIMAGESIZE_H_
