/************************************************************************/
/* MGIBA: Mesh Generator for Image Based Analysis                       */
/* ==============================================                       */
/*                                                                      */
/* Written by Yongchul Kim (blksaint@freechal.com)                      */
/* http://www.diniworld.com                                             */
/*                                                                      */
/* This program is free software. You can redistribute it and/or modify */
/* it under the terms of the GNU General Public License as published by */
/* the Free Software Foundation; either version 2 of the License.       */
/*                                                                      */
/* Please read LICENSE.txt                                              */
/************************************************************************/


#ifndef _VOLUMEINFODLG_H_
#define _VOLUMEINFODLG_H_

#include "global_define.h"
#include "../BaseDialog/Volume/VolumeInfoDlg_base.h"


class CVolume;


class CVolumeInfoDlg : public CVolumeInfoDlg_base
{
	Q_OBJECT

public:
	CVolumeInfoDlg( QWidget *parent=0, const char *name=0, bool modal=FALSE, WFlags f=0 );
	~CVolumeInfoDlg();

	bool init( CVolume *pVolume );

public slots:
	void slotSaveAs();
	void slotOk();

private:
	CVolume *m_pVolume;
}; // end of class CVolumeInfoDlg


#endif // _VOLUMEINFODLG_H_
