/************************************************************************/
/* MGIBA: Mesh Generator for Image Based Analysis                       */
/* ==============================================                       */
/*                                                                      */
/* Written by Yongchul Kim (blksaint@freechal.com)                      */
/* http://www.diniworld.com                                             */
/*                                                                      */
/* This program is free software. You can redistribute it and/or modify */
/* it under the terms of the GNU General Public License as published by */
/* the Free Software Foundation; either version 2 of the License.       */
/*                                                                      */
/* Please read LICENSE.txt                                              */
/************************************************************************/


#ifndef _GLOBAL_DEFINE_H_
#define _GLOBAL_DEFINE_H_

// #define _DEMO_VERSION_

typedef unsigned char		BYTE;
typedef unsigned short		WORD;
typedef unsigned long		DWORD;

#define RC_DIRECTORY		"/.mgiba"
#define RC_RECENT_FILES		"/.mgiba/recent_files_rc"
#define RC_WINDOW_POSITION	"/.mgiba/position_rc"

#define PROGRAM_NAME		"MGIBA"
#define PROGRAM_VERSION		"0.0.1"
#define PROGRAM_EMAIL		"blksaint@freechal.com"
#define PROGRAM_WEB1		"http://www.diniworld.com"
#define PROGRAM_WEB2		"http://mgiba.kldp.net"

// file version
enum
{
	MGIBA_001
};

class QApplication;
extern QApplication *g_pApp;

class CMainWindow;
extern CMainWindow *g_pMainWindow;

#endif // _GLOBAL_DEFINE_H_
